<?

//include_once 'sys/inc/mp3.php';
//include_once 'sys/inc/zip.php';
include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
$show_all=true; // показ для всех
include_once 'sys/inc/user.php';
only_unreg();
$set['title']='Авторизация';
include_once 'sys/inc/thead.php';
title();


if (isset($_GET['pass']) && $_GET['pass']='ok')
msg('Пароль отправлен вам на E-mail');
//aut();


if ($set['guest_select']=='1')msg("Доступ к сайту разрешен только авторизованым пользователям");

if ($set['guest_select']=='2')msg("На сайте идут технические работы(вход только администрации)");



if ((!isset($_SESSION['refer']) || $_SESSION['refer']==NULL)
&& isset($_SERVER['HTTP_REFERER']) && $_SERVER['HTTP_REFERER']!=NULL &&
!ereg('mail\.php',$_SERVER['HTTP_REFERER']))
$_SESSION['refer']=str_replace('&','&amp;',ereg_replace('^http://[^/]*/','/', $_SERVER['HTTP_REFERER']));

echo "<form method='post' action='/?$passgen'>\n";
echo "Ник (логин):<br /><input type='text' name='nick' size='12'/><br/>\n";
echo "Пароль:<br /><input type='password' name='pass' size='12'/><br/>\n";
echo "<label><input type='checkbox' name='aut_save' value='1' /> Запомнить меня<br /></label>\n";
echo "<input type='submit' value='Войти' />\n";
echo "</form>\n";
echo "<div class='block_hr'></div>\n";
echo "<a href='/reg.php'><span style='color:#209143;font-weight:bold'>Регистрация</span></a><br/>";
echo "<div class='block_hr'></div>\n";
echo "<div class='block_hr'></div><span style='font-size:small'><a href='/pass.php'>Забыли пароль?</a><br/>";
echo "<div class='block_hr'></div>\n";
echo "©<a href='http://dcms.su'>DCMS</a><br />\n";
?>